noinst_LIBRARIES=librand.a
TESTS=randtest
EXTRA_PROGRAMS=randtest
INCLUDES=-I$(top_srcdir)/crypto

librand_a_SOURCES=md_rand.c randfile.c randxpgp.c

randtest_SOURCES=randtest.c
randtest_LDFLAGS=-L$(top_builddir)/crypto
randtest_LDADD=-lcrypto
randtest_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl rand.h rand_int.h

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
